aboutsummaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-12-13 15:52:16 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-12-13 15:52:16 +0000
commit167dfd8459a5d24fea3f7237e9b940516156ebdc (patch)
treedeae2990de9155df9c1fff9d1edfbb4afcec2307 /main
parent5ea121c52d6285a172a2be3f9e3bdfda630c65f7 (diff)
downloadaports-167dfd8459a5d24fea3f7237e9b940516156ebdc.tar.gz
aports-167dfd8459a5d24fea3f7237e9b940516156ebdc.tar.bz2
aports-167dfd8459a5d24fea3f7237e9b940516156ebdc.tar.xz
main/ttf-dejavu: upgrade to 2.32
Diffstat (limited to 'main')
-rw-r--r--main/libc0.9.32/APKBUILD1
-rw-r--r--main/ttf-dejavu/APKBUILD26
2 files changed, 20 insertions, 7 deletions
diff --git a/main/libc0.9.32/APKBUILD b/main/libc0.9.32/APKBUILD
index 1454af20d2..1ce14eef6c 100644
--- a/main/libc0.9.32/APKBUILD
+++ b/main/libc0.9.32/APKBUILD
@@ -9,6 +9,7 @@ url=http://uclibc.org
license="LGPL-2"
arch="x86 x86_64"
options=
+makedepends="linux-headers"
subpackages="uclibc-dev:dev uclibc-utils:utils libthread_db"
depends_dev="linux-headers=>2.6.32"
replaces=uclibc
diff --git a/main/ttf-dejavu/APKBUILD b/main/ttf-dejavu/APKBUILD
index 4bd153a2d3..bcc6c51f0e 100644
--- a/main/ttf-dejavu/APKBUILD
+++ b/main/ttf-dejavu/APKBUILD
@@ -1,24 +1,36 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=ttf-dejavu
-pkgver=2.31
+pkgver=2.32
pkgrel=0
+arch="noarch"
pkgdesc="Font family based on the Bitstream Vera Fonts with a wider range of characters"
url="http://dejavu.sourceforge.net/"
license="custom"
depends="fontconfig encodings mkfontdir mkfontscale"
makedepends="pkgconfig font-util-dev"
install=
-source="http://downloads.sourceforge.net/dejavu/dejavu-fonts-ttf-$pkgver.tar.bz2"
+source="http://downloads.sourceforge.net/project/dejavu/dejavu/${pkgver}/dejavu-fonts-ttf-${pkgver}.tar.bz2
+ http://downloads.sourceforge.net/project/dejavu/dejavu/${pkgver}/dejavu-lgc-fonts-ttf-${pkgver}.tar.bz2
+ "
build() {
return 0
}
package() {
- cd "$srcdir/dejavu-fonts-ttf-$pkgver"
- mkdir -p "$pkgdir/usr/share/fonts/TTF" || return 1
- install -m644 ttf/*.ttf "$pkgdir/usr/share/fonts/TTF" || return 1
- install -D -m644 LICENSE "$pkgdir/usr/share/licenses/ttf-dejavu/LICENSE" || return 1
+ mkdir -p "$pkgdir/usr/share/fonts/TTF" \
+ "$pkgdir"/etc/fonts/conf.avail \
+ || return 1
+ for i in dejavu-fonts-ttf-$pkgver dejavu-lgc-fonts-ttf-$pkgver; do
+ cd "$srcdir"/$i
+ install -m644 ttf/*.ttf "$pkgdir"/usr/share/fonts/TTF/ \
+ || return 1
+ install -m644 fontconfig/*.conf \
+ "$pkgdir"/etc/fonts/conf.avail/ || return 1
+ done
+ install -D -m644 LICENSE \
+ "$pkgdir/usr/share/licenses/ttf-dejavu/LICENSE" || return 1
}
-md5sums="a794a75d8c43c83f0226207cd3aaf666 dejavu-fonts-ttf-2.31.tar.bz2"
+md5sums="63b1bf644cd54188a2ec43aff1846104 dejavu-fonts-ttf-2.32.tar.bz2
+2813b852ded0c1c89264627ce1bfcadc dejavu-lgc-fonts-ttf-2.32.tar.bz2"